Std MergeProjects: Difference between revisions

From FreeCAD Documentation
(Initial revision ...)
(Marked this version for translation)
(37 intermediate revisions by 6 users not shown)
Line 1: Line 1:
<languages/>
<translate>
<translate>
<!--T:9-->
{{Docnav
|[[Std_Export|Export]]
|[[Std_ProjectInfo|ProjectInfo]]
|[[Std_File_Menu|Std File Menu]]
|IconL=Std_Export.svg
|IconR=Std_ProjectInfo.svg
|IconC=Freecad.svg
}}


<!--T:1-->
<!--T:1-->
{{GuiCommand
{{GuiCommand|Name=Std MergeProject|Workbenches=All|MenuLocation=[[Std File Menu|File]] → Merge project |Shortcut=|SeeAlso=}}
|Name=Std MergeProjects
|MenuLocation=File → Merge project...
|Workbenches=All
}}


==Description== <!--T:2-->
==Description== <!--T:2-->
Merges another FreeCAD-project into the current one.


==Use== <!--T:3-->
<!--T:10-->
The '''Std MergeProjects''' command adds the contents of a FreeCAD file into the active document.
#Choose {{KEY| File}} {{KEY| Merge project...}} from the top menu.
#A dialog will pop up asking you for the filename and location of the FreeCAD-project to be merged into the current one.


==Limitations== <!--T:4-->
==Usage== <!--T:3-->
Since the names of the features/objects in the merged project will be changed to<br />
match the scheme in the existing project, links to external geometry may get lost.


==Notes== <!--T:5-->
<!--T:11-->
# Select the {{MenuCommand|File → [[Image:Std_MergeProjects.svg|16px]] Merge project...}} option from the menu.
<br />
# Select a FreeCAD file in the dialog box.
# Press the {{Button|Open}} button.

==Options== <!--T:12-->

<!--T:13-->
* Press {{KEY|Esc}} or the {{Button|Cancel}} button to abort the command.

==Notes== <!--T:14-->

<!--T:15-->
* A project cannot be merged with itself, selecting the current file is not allowed.
* FreeCAD will automatically change the internal names and, depending on the preferences, labels of objects to avoid name conflicts.

==Preferences== <!--T:16-->

<!--T:17-->
* The last used file location is stored: {{MenuCommand|Tools → Edit parameters... → BaseApp → Preferences → General → FileOpenSavePath}}.
* Duplicate labels are allowed if {{MenuCommand|Tools → Edit parameters... → BaseApp → Preferences → Document → DuplicateLabels}} is set to {{TRUE}}. This setting can also be changed in the [[Preferences_Editor#Document|Preferences Editor]].

==Scripting== <!--T:19-->

<!--T:20-->
{{Emphasis|See also:}} [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

<!--T:21-->
To merge a project use the {{Incode|mergeProject}} method of the document object.


</translate>
</translate>
{{Code|code=
{{clear}}
import FreeCAD
<languages/>

FreeCAD.ActiveDocument.mergeProject("Path_to_FCStd_project_file")
}}
<translate>


<!--T:18-->
{{Docnav
|[[Std_Export|Export]]
|[[Std_ProjectInfo|ProjectInfo]]
|[[Std_File_Menu|Std File Menu]]
|IconL=Std_Export.svg
|IconR=Std_ProjectInfo.svg
|IconC=Freecad.svg
}}

</translate>
{{Std Base navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Revision as of 11:29, 22 January 2023

Std MergeProjects

Menu location
File → Merge project...
Workbenches
All
Default shortcut
None
Introduced in version
-
See also
None

Description

The Std MergeProjects command adds the contents of a FreeCAD file into the active document.

Usage

  1. Select the File → Merge project... option from the menu.
  2. Select a FreeCAD file in the dialog box.
  3. Press the Open button.

Options

  • Press Esc or the Cancel button to abort the command.

Notes

  • A project cannot be merged with itself, selecting the current file is not allowed.
  • FreeCAD will automatically change the internal names and, depending on the preferences, labels of objects to avoid name conflicts.

Preferences

  • The last used file location is stored: Tools → Edit parameters... → BaseApp → Preferences → General → FileOpenSavePath.
  • Duplicate labels are allowed if Tools → Edit parameters... → BaseApp → Preferences → Document → DuplicateLabels is set to true. This setting can also be changed in the Preferences Editor.

Scripting

See also: FreeCAD Scripting Basics.

To merge a project use the mergeProject method of the document object.

import FreeCAD

FreeCAD.ActiveDocument.mergeProject("Path_to_FCStd_project_file")